
package Gnome2::Vte;
our @ISA = qw();
sub CHECK_VERSION { my ($_class, $_major, $_minor, $_micro) = @_ }
sub GET_VERSION_INFO { my ($_class) = @_ }

package Gnome2::Vte::Terminal;
our @ISA = qw();
sub copy_clipboard { my ($_terminal) = @_ }
sub copy_primary { my ($_terminal) = @_ }
sub feed { my ($_terminal, $_data) = @_ }
sub feed_child { my ($_terminal, $_data) = @_ }
sub feed_child_binary { my ($_terminal, $_data) = @_ }
sub fork_command { my ($_terminal, $_command, $_arg_ref, $_env_ref, $_directory, $_lastlog, $_utmp, $_wtmp) = @_ }
sub get_adjustment { my ($_terminal) = @_ }
sub get_allow_bold { my ($_terminal) = @_ }
sub get_audible_bell { my ($_terminal) = @_ }
sub get_char_ascent { my ($_terminal) = @_ }
sub get_char_descent { my ($_terminal) = @_ }
sub get_char_height { my ($_terminal) = @_ }
sub get_char_width { my ($_terminal) = @_ }
sub get_column_count { my ($_terminal) = @_ }
sub get_cursor_position { my ($_terminal) = @_ }
sub get_default_emulation { my ($_terminal) = @_ }
sub get_emulation { my ($_terminal) = @_ }
sub get_encoding { my ($_terminal) = @_ }
sub get_font { my ($_terminal) = @_ }
sub get_has_selection { my ($_terminal) = @_ }
sub get_icon_title { my ($_terminal) = @_ }
sub get_mouse_autohide { my ($_terminal) = @_ }
sub get_padding { my ($_terminal) = @_ }
sub get_row_count { my ($_terminal) = @_ }
sub get_status_line { my ($_terminal) = @_ }
sub get_text { my ($_terminal, $_o_func, $_o_data) = @_ }
sub get_text_include_trailing_spaces { my ($_terminal, $_func, $_o_data) = @_ }
sub get_text_range { my ($_terminal, $_start_row, $_start_col, $_end_row, $_end_col, $_func, $_o_data) = @_ }
sub get_using_xft { my ($_terminal) = @_ }
sub get_visible_bell { my ($_terminal) = @_ }
sub get_window_title { my ($_terminal) = @_ }
sub im_append_menuitems { my ($_terminal, $_menushell) = @_ }
sub is_word_char { my ($_terminal, $_c) = @_ }
sub match_add { my ($_terminal, $_match) = @_ }
sub match_check { my ($_terminal, $_column, $_row) = @_ }
sub match_clear_all { my ($_terminal) = @_ }
sub match_remove { my ($_terminal, $_tag) = @_ }
sub match_set_cursor { my ($_terminal, $_tag, $_cursor) = @_ }
sub match_set_cursor_type { my ($_terminal, $_tag, $_cursor_type) = @_ }
sub new { my ($_class) = @_ }
sub paste_clipboard { my ($_terminal) = @_ }
sub paste_primary { my ($_terminal) = @_ }
sub reset { my ($_terminal, $_full, $_clear_history) = @_ }
sub set_allow_bold { my ($_terminal, $_allow_bold) = @_ }
sub set_audible_bell { my ($_terminal, $_is_audible) = @_ }
sub set_background_image { my ($_terminal, $_image) = @_ }
sub set_background_image_file { my ($_terminal, $_path) = @_ }
sub set_background_saturation { my ($_terminal, $_saturation) = @_ }
sub set_background_tint_color { my ($_terminal, $_color) = @_ }
sub set_background_transparent { my ($_terminal, $_transparent) = @_ }
sub set_backspace_binding { my ($_terminal, $_binding) = @_ }
sub set_color_background { my ($_terminal, $_background) = @_ }
sub set_color_bold { my ($_terminal, $_bold) = @_ }
sub set_color_cursor { my ($_terminal, $_cursor_background) = @_ }
sub set_color_dim { my ($_terminal, $_dim) = @_ }
sub set_color_foreground { my ($_terminal, $_foreground) = @_ }
sub set_color_highlight { my ($_terminal, $_highlight_background) = @_ }
sub set_colors { my ($_terminal, $_foreground, $_background, $_palette_ref) = @_ }
sub set_cursor_blinks { my ($_terminal, $_blink) = @_ }
sub set_default_colors { my ($_terminal) = @_ }
sub set_delete_binding { my ($_terminal, $_binding) = @_ }
sub set_emulation { my ($_terminal, $_emulation) = @_ }
sub set_encoding { my ($_terminal, $_codeset) = @_ }
sub set_font { my ($_terminal, $_font_desc) = @_ }
sub set_font_from_string { my ($_terminal, $_name) = @_ }
sub set_font_from_string_full { my ($_terminal, $_name, $_anti_alias) = @_ }
sub set_font_full { my ($_terminal, $_font_desc, $_anti_alias) = @_ }
sub set_mouse_autohide { my ($_terminal, $_setting) = @_ }
sub set_opacity { my ($_terminal, $_opacity) = @_ }
sub set_pty { my ($_terminal, $_pty_master) = @_ }
sub set_scroll_background { my ($_terminal, $_scroll) = @_ }
sub set_scroll_on_keystroke { my ($_terminal, $_scroll) = @_ }
sub set_scroll_on_output { my ($_terminal, $_scroll) = @_ }
sub set_scrollback_lines { my ($_terminal, $_lines) = @_ }
sub set_size { my ($_terminal, $_columns, $_rows) = @_ }
sub set_visible_bell { my ($_terminal, $_is_visible) = @_ }
sub set_word_chars { my ($_terminal, $_spec) = @_ }
