
package Gnome2::Pango::Language;
our @ISA = qw();
sub matches { my ($_language, $_range_list) = @_ }

package Pango;
our @ISA = qw();
sub CHECK_VERSION { my ($_class, $_major, $_minor, $_micro) = @_ }
sub GET_VERSION_INFO { my ($_class) = @_ }
sub PANGO_PIXELS { my ($_class, $_d) = @_ }
sub extents_to_pixels { my ($_inclusive, $_nearest) = @_ }
sub find_base_dir { my ($_class, $_text) = @_ }
sub parse_markup { my ($_class, $_markup_text, $_markup_text, $_o_accel_marker) = @_ }
sub pixels { my ($_class, $_d) = @_ }
sub scale { my ($_class) = @_ }
sub scale_large { my ($_class) = @_ }
sub scale_medium { my ($_class) = @_ }
sub scale_small { my ($_class) = @_ }
sub scale_x_large { my ($_class) = @_ }
sub scale_x_small { my ($_class) = @_ }
sub scale_xx_large { my ($_class) = @_ }
sub scale_xx_small { my ($_class) = @_ }
sub units_from_double { my ($_d) = @_ }
sub units_to_double { my ($_i) = @_ }

package Pango::AttrBackground;
our @ISA = qw();
sub new { my ($_class, $_red, $_green, $_blue, @_more_paras) = @_ }

package Pango::AttrColor;
our @ISA = qw();
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrFallback;
our @ISA = qw();
sub new { my ($_class, $_enable_fallback, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrFamily;
our @ISA = qw();
sub new { my ($_class, $_family, @_more_paras) = @_ }

package Pango::AttrFontDesc;
our @ISA = qw();
sub desc { my ($_attr, @_more_paras) = @_ }
sub new { my ($_class, $_font_desc, @_more_paras) = @_ }

package Pango::AttrForeground;
our @ISA = qw();
sub new { my ($_class, $_red, $_green, $_blue, @_more_paras) = @_ }

package Pango::AttrGravity;
our @ISA = qw();
sub new { my ($_class, $_gravity, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrGravityHint;
our @ISA = qw();
sub new { my ($_class, $_hint, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrInt;
our @ISA = qw();
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrIterator;
our @ISA = qw();
sub get { my ($_iterator, $_type) = @_ }
sub get_attrs { my ($_iterator) = @_ }
sub get_font { my ($_iterator) = @_ }
sub next { my ($_iterator) = @_ }
sub range { my ($_iterator) = @_ }

package Pango::AttrLanguage;
our @ISA = qw();
sub new { my ($_class, $_language, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrLetterSpacing;
our @ISA = qw();
sub new { my ($_class, $_letter_spacing, @_more_paras) = @_ }

package Pango::AttrList;
our @ISA = qw();
sub change { my ($_list, $_attr) = @_ }
sub filter { my ($_list, $_func, $_o_data) = @_ }
sub get_iterator { my ($_list) = @_ }
sub insert { my ($_list, $_attr) = @_ }
sub insert_before { my ($_list, $_attr) = @_ }
sub new { my ($_class) = @_ }
sub splice { my ($_list, $_other, $_pos, $_len) = @_ }

package Pango::AttrRise;
our @ISA = qw();
sub new { my ($_class, $_rise, @_more_paras) = @_ }

package Pango::AttrScale;
our @ISA = qw();
sub new { my ($_class, $_scale, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrShape;
our @ISA = qw();
sub ink_rect { my ($_attr, @_more_paras) = @_ }
sub logical_rect { my ($_attr, @_more_paras) = @_ }
sub new { my ($_class, $_ink_rect, $_logical_rect, @_more_paras) = @_ }

package Pango::AttrSize;
our @ISA = qw();
sub new { my ($_class, $_size, @_more_paras) = @_ }
sub new_absolute { my ($_class, $_size, @_more_paras) = @_ }

package Pango::AttrStretch;
our @ISA = qw();
sub new { my ($_class, $_stretch, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrStrikethrough;
our @ISA = qw();
sub new { my ($_class, $_strikethrough, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrStrikethroughColor;
our @ISA = qw();
sub new { my ($_class, $_red, $_green, $_blue, @_more_paras) = @_ }

package Pango::AttrString;
our @ISA = qw();
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrStyle;
our @ISA = qw();
sub new { my ($_class, $_style, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrUnderline;
our @ISA = qw();
sub new { my ($_class, $_underline, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrUnderlineColor;
our @ISA = qw();
sub new { my ($_class, $_red, $_green, $_blue, @_more_paras) = @_ }

package Pango::AttrVariant;
our @ISA = qw();
sub new { my ($_class, $_variant, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::AttrWeight;
our @ISA = qw();
sub new { my ($_class, $_weight, @_more_paras) = @_ }
sub value { my ($_attr, @_more_paras) = @_ }

package Pango::Attribute;
our @ISA = qw();
sub end_index { my ($_attr, @_more_paras) = @_ }
sub equal { my ($_attr1, $_attr2) = @_ }
sub start_index { my ($_attr, @_more_paras) = @_ }

package Pango::Cairo;
our @ISA = qw();
sub create_layout { my ($_cr) = @_ }
sub error_underline_path { my ($_cr, $_x, $_y, $_width, $_height) = @_ }
sub glyph_string_path { my ($_cr, $_font, $_glyphs) = @_ }
sub layout_line_path { my ($_cr, $_line) = @_ }
sub layout_path { my ($_cr, $_layout) = @_ }
sub show_error_underline { my ($_cr, $_x, $_y, $_width, $_height) = @_ }
sub show_glyph_string { my ($_cr, $_font, $_glyphs) = @_ }
sub show_layout { my ($_cr, $_layout) = @_ }
sub show_layout_line { my ($_cr, $_line) = @_ }
sub update_context { my ($_cr, $_context) = @_ }
sub update_layout { my ($_cr, $_layout) = @_ }

package Pango::Cairo::Context;
our @ISA = qw();
sub get_font_options { my ($_context) = @_ }
sub get_resolution { my ($_context) = @_ }
sub set_font_options { my ($_context, $_options) = @_ }
sub set_resolution { my ($_context, $_dpi) = @_ }
sub set_shape_renderer { my ($_context, $_o_func, $_o_data) = @_ }

package Pango::Cairo::Font;
our @ISA = qw();
sub get_scaled_font { my ($_font) = @_ }

package Pango::Cairo::FontMap;
our @ISA = qw();
sub create_context { my ($_fontmap) = @_ }
sub get_default { my ($_class) = @_ }
sub get_font_type { my ($_fontmap) = @_ }
sub get_resolution { my ($_fontmap) = @_ }
sub new { my ($_class) = @_ }
sub new_for_font_type { my ($_class, $_fonttype) = @_ }
sub set_resolution { my ($_fontmap, $_dpi) = @_ }

package Pango::Color;
our @ISA = qw();
sub parse { my ($_class, $_spec) = @_ }
sub to_string { my (@_more_paras) = @_ }

package Pango::Context;
our @ISA = qw();
sub get_base_dir { my ($_context) = @_ }
sub get_base_gravity { my ($_context) = @_ }
sub get_font_description { my ($_context) = @_ }
sub get_font_map { my ($_context) = @_ }
sub get_gravity { my ($_context) = @_ }
sub get_gravity_hint { my ($_context) = @_ }
sub get_language { my ($_context) = @_ }
sub get_matrix { my ($_context) = @_ }
sub get_metrics { my ($_context, $_desc, $_language) = @_ }
sub list_families { my ($_context) = @_ }
sub load_font { my ($_context, $_desc) = @_ }
sub load_fontset { my ($_context, $_desc, $_language) = @_ }
sub set_base_dir { my ($_context, $_direction) = @_ }
sub set_base_gravity { my ($_context, $_gravity) = @_ }
sub set_font_description { my ($_context, $_desc) = @_ }
sub set_gravity_hint { my ($_context, $_hint) = @_ }
sub set_language { my ($_context, $_language) = @_ }
sub set_matrix { my ($_context, $_matrix) = @_ }

package Pango::Font;
our @ISA = qw();
sub describe { my ($_font) = @_ }
sub describe_with_absolute_size { my ($_font) = @_ }
sub get_font_map { my ($_font) = @_ }
sub get_glyph_extents { my ($_font, $_glyph) = @_ }
sub get_metrics { my ($_font, $_language) = @_ }

package Pango::FontDescription;
our @ISA = qw();
sub better_match { my ($_desc, $_old_match, $_new_match) = @_ }
sub equal { my ($_desc1, $_desc2) = @_ }
sub from_string { my ($_class, $_str) = @_ }
sub get_family { my ($_desc) = @_ }
sub get_gravity { my ($_desc) = @_ }
sub get_set_fields { my ($_desc) = @_ }
sub get_size { my ($_desc) = @_ }
sub get_size_is_absolute { my ($_desc) = @_ }
sub get_stretch { my ($_desc) = @_ }
sub get_style { my ($_desc) = @_ }
sub get_variant { my ($_desc) = @_ }
sub get_weight { my ($_desc) = @_ }
sub hash { my ($_desc) = @_ }
sub merge { my ($_desc, $_desc_to_merge, $_replace_existing) = @_ }
sub merge_static { my ($_desc, $_desc_to_merge, $_replace_existing) = @_ }
sub new { my ($_class) = @_ }
sub set_absolute_size { my ($_desc, $_size) = @_ }
sub set_family { my ($_desc, $_family) = @_ }
sub set_family_static { my ($_desc, $_family) = @_ }
sub set_gravity { my ($_desc, $_gravity) = @_ }
sub set_size { my ($_desc, $_size) = @_ }
sub set_stretch { my ($_desc, $_stretch) = @_ }
sub set_style { my ($_desc, $_style) = @_ }
sub set_variant { my ($_desc, $_variant) = @_ }
sub set_weight { my ($_desc, $_weight) = @_ }
sub to_filename { my ($_desc) = @_ }
sub to_string { my ($_desc) = @_ }
sub unset_fields { my ($_desc, $_to_unset) = @_ }

package Pango::FontFace;
our @ISA = qw();
sub describe { my ($_face) = @_ }
sub get_face_name { my ($_face) = @_ }
sub is_synthesized { my ($_face) = @_ }
sub list_sizes { my ($_face) = @_ }

package Pango::FontFamily;
our @ISA = qw();
sub get_name { my ($_family) = @_ }
sub is_monospace { my ($_family) = @_ }
sub list_faces { my ($_family) = @_ }

package Pango::FontMap;
our @ISA = qw();
sub list_families { my ($_fontmap) = @_ }
sub load_font { my ($_fontmap, $_context, $_desc) = @_ }
sub load_fontset { my ($_fontmap, $_context, $_desc, $_language) = @_ }

package Pango::FontMetrics;
our @ISA = qw();
sub get_approximate_char_width { my ($_metrics) = @_ }
sub get_approximate_digit_width { my ($_metrics) = @_ }
sub get_ascent { my ($_metrics) = @_ }
sub get_descent { my ($_metrics) = @_ }
sub get_strikethrough_position { my ($_metrics) = @_ }
sub get_strikethrough_thickness { my ($_metrics) = @_ }
sub get_underline_position { my ($_metrics) = @_ }
sub get_underline_thickness { my ($_metrics) = @_ }

package Pango::Fontset;
our @ISA = qw();
sub Pango::Fontset::foreach { my ($_fontset, $_func, $_o_data) = @_ }
sub get_font { my ($_fontset, $_wc) = @_ }
sub get_metrics { my ($_fontset) = @_ }

package Pango::Gravity;
our @ISA = qw();
sub get_for_matrix { my ($_matrix) = @_ }
sub get_for_script { my ($_script, $_base_gravity, $_hint) = @_ }
sub is_vertical { my ($_gravity) = @_ }
sub to_rotation { my ($_gravity) = @_ }

package Pango::Language;
our @ISA = qw();
sub from_string { my ($_class, $_language) = @_ }
sub get_default { my ($_class) = @_ }
sub includes_script { my ($_language, $_script) = @_ }
sub matches { my ($_language, $_range_list) = @_ }
sub to_string { my ($_language) = @_ }

package Pango::Layout;
our @ISA = qw();
sub context_changed { my ($_layout) = @_ }
sub copy { my ($_src) = @_ }
sub get_alignment { my ($_layout) = @_ }
sub get_attributes { my ($_layout) = @_ }
sub get_auto_dir { my ($_layout) = @_ }
sub get_baseline { my ($_layout) = @_ }
sub get_context { my ($_layout) = @_ }
sub get_cursor_pos { my ($_layout, $_index_) = @_ }
sub get_ellipsize { my ($_layout) = @_ }
sub get_extents { my ($_layout) = @_ }
sub get_font_description { my ($_layout) = @_ }
sub get_height { my ($_layout) = @_ }
sub get_indent { my ($_layout) = @_ }
sub get_iter { my ($_layout) = @_ }
sub get_justify { my ($_layout) = @_ }
sub get_line { my ($_layout, $_line) = @_ }
sub get_line_count { my ($_layout) = @_ }
sub get_line_readonly { my ($_layout, $_line) = @_ }
sub get_lines { my ($_layout) = @_ }
sub get_lines_readonly { my ($_layout) = @_ }
sub get_log_attrs { my ($_layout) = @_ }
sub get_pixel_extents { my ($_layout) = @_ }
sub get_pixel_size { my ($_layout) = @_ }
sub get_single_paragraph_mode { my ($_layout) = @_ }
sub get_size { my ($_layout) = @_ }
sub get_spacing { my ($_layout) = @_ }
sub get_tabs { my ($_layout) = @_ }
sub get_text { my ($_layout) = @_ }
sub get_unknown_glyphs_count { my ($_layout) = @_ }
sub get_width { my ($_layout) = @_ }
sub get_wrap { my ($_layout) = @_ }
sub index_to_pos { my ($_layout, $_index_) = @_ }
sub is_ellipsized { my ($_layout) = @_ }
sub is_wrapped { my ($_layout) = @_ }
sub move_cursor_visually { my ($_layout, $_strong, $_old_index, $_old_trailing, $_direction) = @_ }
sub new { my ($_class, $_context) = @_ }
sub set_alignment { my ($_layout, $_alignment) = @_ }
sub set_attributes { my ($_layout, $_attrs) = @_ }
sub set_auto_dir { my ($_layout, $_auto_dir) = @_ }
sub set_ellipsize { my ($_layout, $_ellipsize) = @_ }
sub set_font_description { my ($_layout, $_desc) = @_ }
sub set_height { my ($_layout, $_height) = @_ }
sub set_indent { my ($_layout, $_newval) = @_ }
sub set_justify { my ($_layout, $_newval) = @_ }
sub set_markup { my ($_layout, $_markup, $_markup) = @_ }
sub set_markup_with_accel { my ($_layout, $_markup, $_markup, $_accel_marker) = @_ }
sub set_single_paragraph_mode { my ($_layout, $_newval) = @_ }
sub set_spacing { my ($_layout, $_newval) = @_ }
sub set_tabs { my ($_layout, $_tabs) = @_ }
sub set_text { my ($_layout, $_text, $_text) = @_ }
sub set_width { my ($_layout, $_newval) = @_ }
sub set_wrap { my ($_layout, $_wrap) = @_ }
sub xy_to_index { my ($_layout, $_x, $_y) = @_ }

package Pango::LayoutIter;
our @ISA = qw();
sub at_last_line { my ($_iter) = @_ }
sub get_baseline { my ($_iter) = @_ }
sub get_char_extents { my ($_iter) = @_ }
sub get_cluster_extents { my ($_iter) = @_ }
sub get_index { my ($_iter) = @_ }
sub get_layout { my ($_iter) = @_ }
sub get_layout_extents { my ($_iter) = @_ }
sub get_line { my ($_iter) = @_ }
sub get_line_extents { my ($_iter) = @_ }
sub get_line_readonly { my ($_iter) = @_ }
sub get_line_yrange { my ($_iter) = @_ }
sub get_run_extents { my ($_iter) = @_ }
sub next_char { my ($_iter) = @_ }
sub next_cluster { my ($_iter) = @_ }
sub next_line { my ($_iter) = @_ }
sub next_run { my ($_iter) = @_ }

package Pango::LayoutLine;
our @ISA = qw();
sub get_extents { my ($_line) = @_ }
sub get_pixel_extents { my ($_line) = @_ }
sub get_x_ranges { my ($_line, $_start_index, $_end_index) = @_ }
sub index_to_x { my ($_line, $_index_, $_trailing) = @_ }
sub x_to_index { my ($_line, $_x_pos) = @_ }

package Pango::Matrix;
our @ISA = qw();
sub concat { my ($_matrix, $_new_matrix) = @_ }
sub new { my ($_class, $_o_xx, $_o_xy, $_o_yx, $_o_yy, $_o_x0, $_o_y0) = @_ }
sub rotate { my ($_matrix, $_degrees) = @_ }
sub scale { my ($_matrix, $_scale_x, $_scale_y) = @_ }
sub transform_distance { my ($_matrix) = @_ }
sub transform_pixel_rectangle { my ($_matrix, $_rect) = @_ }
sub transform_point { my ($_matrix) = @_ }
sub transform_rectangle { my ($_matrix, $_rect) = @_ }
sub translate { my ($_matrix, $_tx, $_ty) = @_ }
sub x0 { my ($_matrix, $_o_new) = @_ }
sub xx { my ($_matrix, $_o_new) = @_ }
sub xy { my ($_matrix, $_o_new) = @_ }
sub y0 { my ($_matrix, $_o_new) = @_ }
sub yx { my ($_matrix, $_o_new) = @_ }
sub yy { my ($_matrix, $_o_new) = @_ }

package Pango::Renderer;
our @ISA = qw();
sub activate { my ($_renderer) = @_ }
sub deactivate { my ($_renderer) = @_ }
sub draw_error_underline { my ($_renderer, $_x, $_y, $_width, $_height) = @_ }
sub draw_glyph { my ($_renderer, $_font, $_glyph, $_x, $_y) = @_ }
sub draw_layout { my ($_renderer, $_layout, $_x, $_y) = @_ }
sub draw_layout_line { my ($_renderer, $_line, $_x, $_y) = @_ }
sub draw_rectangle { my ($_renderer, $_part, $_x, $_y, $_width, $_height) = @_ }
sub draw_trapezoid { my ($_renderer, $_part, $_y1_, $_x11, $_x21, $_y2, $_x12, $_x22) = @_ }
sub get_color { my ($_renderer, $_part) = @_ }
sub get_layout { my ($_renderer) = @_ }
sub get_layout_line { my ($_renderer) = @_ }
sub get_matrix { my ($_renderer) = @_ }
sub part_changed { my ($_renderer, $_part) = @_ }
sub set_color { my ($_renderer, $_part, $_color) = @_ }
sub set_matrix { my ($_renderer, $_matrix) = @_ }

package Pango::Script;
our @ISA = qw();
sub for_unichar { my ($_class, $_ch) = @_ }
sub get_sample_language { my ($_class, $_script) = @_ }

package Pango::ScriptIter;
our @ISA = qw();
sub get_range { my ($_iter) = @_ }
sub new { my ($_class, $_text) = @_ }
sub next { my ($_iter) = @_ }

package Pango::TabArray;
our @ISA = qw();
sub get_positions_in_pixels { my ($_tab_array) = @_ }
sub get_size { my ($_tab_array) = @_ }
sub get_tab { my ($_tab_array, $_tab_index) = @_ }
sub get_tabs { my ($_tab_array) = @_ }
sub new { my ($_class, $_initial_size, $_positions_in_pixels, @_more_paras) = @_ }
sub new_with_positions { my ($_class, $_initial_size, $_positions_in_pixels, @_more_paras) = @_ }
sub resize { my ($_tab_array, $_new_size) = @_ }
sub set_tab { my ($_tab_array, $_tab_index, $_alignment, $_location) = @_ }
